# Class CIM_RoutersInAS
extends CIM_SystemComponent

This aggregation establishes 'whole-part' relationships between an AutonomousSystem and the routers that it contains. In addition, the routers in the AS share common configuration information, and are commonly administered.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_RoutersInAS

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | This aggregation establishes 'whole-part' relationships between an AutonomousSystem and the routers that it contains. In addition, the routers in the AS share common configuration information, and are commonly administered.
UMLPackagePath | string | CIM::Network::Systems
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AddCommunityValue | boolean |
Description | string | TRUE means that the community value of this router is added to the existing community value, and FALSE means that the community value of this router replaces the existing community value.
OtherRoleDescription | string |
Description | string | A string describing the type of function that this router has in its AS when the value of the Role property of this class is set to 1 (i.e., "Other"). The format of the string inserted in this property should be similar in format to the values defined for the Role property. This property should be set to NULL when the Role property is any value other than 1.
MaxLen | uint32 | 64
Role | uint16 |
Description | string | This is an enumeration that defines the function, from the point of view of BGP, of this router.
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7
Values | string | Unknown, Other, Conventional BGP Speaker, Route Reflector, Router Reflector Client, Route Reflector Non-Client, Peer Group Member, Confederation Member
BGPSupportedAttributes | string[] |
Description | string | This is an array of strings that contain the BGP attributes supported by this router.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_RoutersInAS | CIM_AutonomousSystem
PartComponent | CIM_RoutersInAS | CIM_ComputerSystem

## Class Methods